Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# ParticleInterval Class Reference

Inherits Interval::Interval.

List of all members.

## Public Member Functions
def | __init__
def | privFinalize
def | privInitialize
def | privInstant
def | privStep
## Public Attributes
| cleanup
| currT
| particleEffect
| softStopT
| state
## Static Public Attributes
tuple | notify = directNotify.newCategory('ParticleInterval')
int | particleNum = 1

## Detailed Description

    Use this interval when you want to have greater control over a
    ParticleEffect.  The interval does not register the effect with
    the global particle and physics managers, but it does call upon
    them to perform its stepping.  You should NOT call
    particleEffect.start() with an effect that is being controlled
    by a ParticleInterval.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | particleEffect,
|  |  | parent,
|  |  | worldRelative = `1`,
|  |  | renderParent = `None`,
|  |  | duration = `0.0`,
|  |  | softStopT = `0.0`,
|  |  | cleanup = `False`,
|  |  | name = `None`
| ) |  |

    particleEffect is a ParticleEffect
    parent is a NodePath: this is where the effect will be
                  parented in the scenegraph
    worldRelative is a boolean: this will override 'renderParent'
                        with render
    renderParent is a NodePath: this is where the particles will
                        be rendered in the scenegraph
    duration is a float: for the time
    softStopT is a float: no effect if 0.0,
                  a positive value will count from the
                  start of the interval,
                  a negative value will count from the
                  end of the interval
    cleanup is a boolean: if True the effect will be destroyed
                  and removed from the scenegraph upon
                  interval completion
                  set to False if planning on reusing
                  the interval
    name is a string: use this for unique intervals so that
              they can be easily found in the taskMgr

## Member Function Documentation

def privFinalize | ( |  | self | ) |

def privInitialize | ( |  | self,
|  |  | t
| ) |  |

def privInstant | ( |  | self | ) |

def privStep | ( |  | self,
|  |  | t
| ) |  |

## Member Data Documentation

cleanup

currT

tuple notify = directNotify.newCategory('ParticleInterval')`[static]`

particleEffect

int particleNum = 1`[static]`

softStopT

state

All Classes Namespaces Functions Variables Enumerations Enumerator Properties